# coding: utf-8
import bpy
import os
from os import listdir
from os.path import join, dirname, basename, exists, isfile, isdir, splitext
import re, fnmatch, glob
from mathutils import Vector, Matrix
from math import radians, degrees
C = bpy.context
D = bpy.data
scene = C.scene

print('====')
def print_sss():
    for mat in D.materials:
        if not mat.use_nodes:continue
        nodes = mat.node_tree
        if not nodes: continue
        nodes = nodes.nodes
        
        for n in nodes:
            if n.type == 'GROUP':
                sss = n.inputs.get('Subsurface')
                if not sss: continue
                print(f'{mat.name} : {sss.default_value}')
            if n.type == 'BSDF_PRINCIPLED':
                sss = n.inputs.get('Subsurface')
                if not sss: continue
                print(f'PRINCIPLED : {mat.name} : {sss.default_value}')
                

print_sss()